### Function

# GExiv2 initialize

#### Declaration [src]

    gboolean
    gexiv2_initialize (
      void
    )

#### Description [src]

Initializes GExiv2.

GExiv2 requires initialization before its methods are used. In particular, this call must be made in a thread-safe fashion. Best practice is to call from the application’s main thread and not to use any Gexiv2 code until it has returned.

#### Return value

Type: `gboolean`

`TRUE` if initialized. If `FALSE`, GExiv2 should not be used (unable to initialize properly).